# jt_firebase

A Firebase Realtime Database SDK, developed by <strong>Zell Co., Ltd</strong>.

This library aim at unifying the Realtime Database API across all platforms (Dart VM, Web & Flutter).

For Dart VM, this library is wrapper of [package:firebase_dart](https://pub.dev/packages/firebase_dart).

For Web, this library is a wrapper of [package:firebase](https://pub.dev/packages/firebase).

For Flutter, this library is a wrapper of [package:firebase_database](https://pub.dev/packages/firebase_database).


## Usage

An example of simple usage is as follow:

~~~~
final JtDatabase(
  app: FirebaseApp.instance,
  databaseURL: '<<replace this with firebase url>>');

db.ref('<<path in firebase>>');

...

~~~~

## More Info:

Inspired by [darter/fireblend](https://github.com/darter/fireblend).

[[License](https://opensource.org/licenses/MIT)] MIT.
